/* body{
    background-color: #828B9A;
    font-family: sans-serif;
} */

/* Dark Blue: #273774 */
/* Light Blue: #34b6f8 */

/* .entire_page{
    height: 95vh;
    width: 95vw;
    display: flex;
    justify-content: center;
    align-items: center;
} */
/*================ main widget ======== */


.widget_container{
    height: 455px;
    width: 455px;
    border-radius: 10px;
    background-color: #DFE4EA;
    display: flex;
    flex-direction: column;
    font-family: sans-serif;
}


/* header part  */

.widget_header{
    height: 25%;
    width: 100%;
    background: #273774;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    color: #ffff;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.from_to_text {  
    font-size: 30px;
    margin: 0;
}
.transfer_rate {
    font-size: 20px;
    margin:0 0 5px 0;
}

/* body part  */

.widget_body{
    height: 75%;
    width: 100%;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
}

.widget_body .savings {
    display:none;
    align-self: center;
    margin-left: 0;
    font-size: 22px;
}

.input_holder{
    height: 25%;
    width: 85%;
    background-color: #ffffff;
    border-radius: 10px;
    display: flex;
    position: relative;
}

.input_holder_left{
    height: 100%;
    width: 62%;
    padding: 11px 0 11px 22px;
}
.input_holder_right{
    height: 100%;
    width: 38%;
    display: flex; 
    align-items: center;
    justify-content: center;
    font-size: 15px; 
    color: #57606F;  
    cursor: pointer;
}
.input_small_text{
    margin:0;
    cursor:default;
}
.value_input{
    height: 39px;
    width: 216px;
    margin:1px 0;
    border: none;
    font-size: 30px;
    font-weight: bold;
    color: #57606F;
}
.value_input:focus{
    border: none;  
    outline: none;
}

/* Chrome, Safari, Edge, Opera */
.value_input::-webkit-outer-spin-button,
.value_input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.value_input[type=number] {
  -moz-appearance: textfield;
}

.country_name{
    margin: 0 10px;
    cursor:pointer;
}
.arrow_icon{
    margin: 0 0 10px 0;
    display: flex;
    align-items: flex-start;
    justify-content: center;

}
.arrow {
    border: solid #57606F;
    border-width: 0 3px 3px 0;
    display: inline-block;
    padding: 6px;
  }

  .down {
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
  }

.continue_button{
    width: 48%;
    height: 14%;
    background-color: #273774;
    color:#ffffff;
    border: none;
    border-radius: 10px;
    cursor:pointer;
    font-size: 20px;
}

.send-receive-box{
    background-color: #ffffff;
    position:absolute;
    right: 0;
    left: 0;
    top: 50px;
    max-height: 400px;
    -webkit-box-shadow: 0 0 5px 2px gray;
    -moz-box-shadow: 0 0 5px 2px gray;
    box-shadow: 0 0 5px 2px gray;
    border-radius: 10px;
    z-index: 100;
    padding: 0;
    overflow-y: scroll;
    display:none;
}
.send-receive-box .currency-input input.send_list_search, .send-receive-box .currency-input input.receive_list_search {
    padding: 15px 20px;
    border: none;
    width: 100%;
    box-sizing: border-box;
    font-size: 15px;
}
.send-receive-box .currency-input input.send_list_search:focus, .send-receive-box .currency-input input.receive_list_search:focus {
    outline: none;
}
.send-receive-box .show-currencies > div.single-currency{
    padding: 15px 20px;
    /* border-bottom: 1px solid gray; */
}


.show-currencies .single-currency {
    display:flex;
    align-items: center;
    cursor:pointer;
}
.show-currencies .single-currency:hover {
    background: gainsboro;
}
.show-currencies .single-currency.selected {
    background: cornflowerblue;
    color:white;
}
.show-currencies .single-currency.selected div.currency-name {
    color:white;
}
.show-currencies .single-currency div.currency-code {
    font-weight: 600;
    font-size: 18px;
    margin-right: 10px;
}
.show-currencies .single-currency div.currency-name {
    font-weight: 300;
    font-size: 12px;
    color: #888;
}
.show-currencies .single-currency div.currency-name::before {
    content: "(";
}
.show-currencies .single-currency div.currency-name::after {
    content: ")";
}
.show-currencies .single-currency img.flag {
    width: 30px;
    height: auto;
    margin-right: 5px;
}